# TODO:
# - requires gobject-introspection-devel to build - fix it
#
# Conditional build:
%bcond_without	cairo		# build without cairo
%bcond_without	static_libs	# do not build static libs
%bcond_without	apidocs		# do not build and package API docs

Summary:	Introspection for GObject libraries
Summary(pl.UTF-8):	Obserwacja bibliotek GObject
Name:		gobject-introspection
Version:	1.46.0
Release:	1
License:	LGPL v2+ (giscanner) and GPL v2+ (tools)
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gobject-introspection/1.46/%{name}-%{version}.tar.xz
# Source0-md5:	adb40a31c7c80b65b0f4c8fd71b493dc
URL:		http://live.gnome.org/GObjectIntrospection
BuildRequires:	autoconf >= 2.63
BuildRequires:	automake >= 1:1.11
BuildRequires:	bison
%{?with_cairo:BuildRequires:	cairo-gobject-devel}
BuildRequires:	flex
BuildRequires:	glib2-devel >= 1:2.46.0
BuildRequires:	glibc-misc
%{?with_apidocs:BuildRequires:	gtk-doc >= 1.19}
BuildRequires:	libffi-devel >= 3.0.0
BuildRequires:	libtool >= 2:2.2
BuildRequires:	pkgconfig
BuildRequires:	python >= 1:2.6
BuildRequires:	python-Mako
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	python-modules >= 1:2.6
BuildRequires:	rpm-pythonprov
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRequires:	zlib-devel
Requires:	glib2 >= 1:2.46.0
Obsoletes:	gobject-introspection-libs < %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Tools for introspecting GObject-based frameworks.

%description -l pl.UTF-8
Narzędzia do obserwacji szkieletów opartych na bibliotece GObject.

%package devel
Summary:	Header files for gobject-introspection library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki gobject-introspection
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.46.0
Requires:	libffi-devel >= 3.0.0
Requires:	python-Mako
Requires:	python-modules >= 1:2.6
# for ldd
Requires:	glibc-misc
# vala 0.18 seems to fail on recently generated .gir files
Conflicts:	vala < 2:0.20

%description devel
Header files for gobject-introspection library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki gobject-introspection.

%package static
Summary:	Static gobject-introspection library
Summary(pl.UTF-8):	Statyczna biblioteka gobject-introspection
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static gobject-introspection library.

%description static -l pl.UTF-8
Statyczna biblioteka gobject-introspection.

%package apidocs
Summary:	gobject-introspection API documentation
Summary(pl.UTF-8):	Dokumentacja API gobject-introspection
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
gobject-introspection API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API gobject-introspection.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{!?with_cairo:--disable-tests} \
	--disable-silent-rules \
	%{__enable_disable apidocs gtk-doc} \
	%{__enable_disable static_libs static} \
	--with-html-dir=%{_gtkdocdir}
%{__make} \
	pkgpyexecdir=%{py_sitedir}/giscanner

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	pkgpyexecdir=%{py_sitedir}/giscanner \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{py_sitedir}/giscanner/*.{a,la} \
    $RPM_BUILD_ROOT%{_libdir}/*.la

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS CONTRIBUTORS NEWS README TODO
%attr(755,root,root) %{_libdir}/libgirepository-1.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgirepository-1.0.so.1
%dir %{_libdir}/girepository-1.0
%{_libdir}/girepository-1.0/DBus-1.0.typelib
%{_libdir}/girepository-1.0/DBusGLib-1.0.typelib
%{_libdir}/girepository-1.0/GIRepository-2.0.typelib
%{_libdir}/girepository-1.0/GL-1.0.typelib
%{_libdir}/girepository-1.0/GLib-2.0.typelib
%{_libdir}/girepository-1.0/GModule-2.0.typelib
%{_libdir}/girepository-1.0/GObject-2.0.typelib
%{_libdir}/girepository-1.0/Gio-2.0.typelib
%{_libdir}/girepository-1.0/cairo-1.0.typelib
%{_libdir}/girepository-1.0/fontconfig-2.0.typelib
%{_libdir}/girepository-1.0/freetype2-2.0.typelib
%{_libdir}/girepository-1.0/libxml2-2.0.typelib
%{_libdir}/girepository-1.0/win32-1.0.typelib
%{_libdir}/girepository-1.0/xfixes-4.0.typelib
%{_libdir}/girepository-1.0/xft-2.0.typelib
%{_libdir}/girepository-1.0/xlib-2.0.typelib
%{_libdir}/girepository-1.0/xrandr-1.3.typelib

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/g-ir-annotation-tool
%attr(755,root,root) %{_bindir}/g-ir-compiler
%attr(755,root,root) %{_bindir}/g-ir-doc-tool
%attr(755,root,root) %{_bindir}/g-ir-generate
%attr(755,root,root) %{_bindir}/g-ir-scanner
%{_mandir}/man1/g-ir-compiler.1*
%{_mandir}/man1/g-ir-generate.1*
%{_mandir}/man1/g-ir-scanner.1*
%attr(755,root,root) %{_libdir}/libgirepository-1.0.so
%{_includedir}/gobject-introspection-1.0
%{_pkgconfigdir}/gobject-introspection-1.0.pc
%{_pkgconfigdir}/gobject-introspection-no-export-1.0.pc
%{_aclocaldir}/introspection.m4
%dir %{_libdir}/gobject-introspection
%dir %{_libdir}/gobject-introspection/giscanner
%{_libdir}/gobject-introspection/giscanner/doctemplates
%dir %{_datadir}/gir-1.0
%{_datadir}/gir-1.0/DBus-1.0.gir
%{_datadir}/gir-1.0/DBusGLib-1.0.gir
%{_datadir}/gir-1.0/GIRepository-2.0.gir
%{_datadir}/gir-1.0/GL-1.0.gir
%{_datadir}/gir-1.0/GLib-2.0.gir
%{_datadir}/gir-1.0/GModule-2.0.gir
%{_datadir}/gir-1.0/GObject-2.0.gir
%{_datadir}/gir-1.0/Gio-2.0.gir
%{_datadir}/gir-1.0/cairo-1.0.gir
%{_datadir}/gir-1.0/fontconfig-2.0.gir
%{_datadir}/gir-1.0/freetype2-2.0.gir
%{_datadir}/gir-1.0/libxml2-2.0.gir
%{_datadir}/gir-1.0/win32-1.0.gir
%{_datadir}/gir-1.0/xfixes-4.0.gir
%{_datadir}/gir-1.0/xft-2.0.gir
%{_datadir}/gir-1.0/xlib-2.0.gir
%{_datadir}/gir-1.0/xrandr-1.3.gir
%{_datadir}/gobject-introspection-1.0
%dir %{py_sitedir}/giscanner
%{py_sitedir}/giscanner/*.py[co]
%dir %{py_sitedir}/giscanner/collections
%{py_sitedir}/giscanner/collections/*.py[co]
%attr(755,root,root) %{py_sitedir}/giscanner/_giscanner.so

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libgirepository-1.0.a
%endif

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/gi
%endif
%changelog
* Sun Sep 27 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gobject-introspection.git;a=log;h=master

* Sun Sep 27 2015 Marcin Banasiak <marcin.banasiak@gmail.com> eb57926
- Update to 1.46.0

* Tue Mar 24 2015 Marcin Banasiak <marcin.banasiak@gmail.com> c23b491
- Update to 1.44.0

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> d96d59b
- x32 rebuild
- release 3 (by relup.sh)

* Sat Dec 06 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 530a609
- libffi rebuild
- release 2 (by relup.sh)

* Fri Oct 03 2014 Jakub Bogusz <qboosh@pld-linux.org> 78ef807
- removed long time obsolete libtool patch

* Thu Sep 25 2014 Łukasz Kieś <kiesiu@pld-linux.org> fbda6b0
- updated to 1.42.0

* Tue Mar 25 2014 Łukasz Kieś <kiesiu@pld-linux.org> 99d63db
- updated to 1.40.0

* Tue Sep 24 2013 Jakub Bogusz <qboosh@pld-linux.org> af9c8f4
- updated to 1.38.0

* Sun Sep 22 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 10655ba
- up to 1.37.6

* Mon Jul 15 2013 Jan Rękorajski <baggins@pld-linux.org> 3922cd2
- up to 1.37.4

* Mon Jul 01 2013 Marcin Krol <hawk@tld-linux.org> 76bef11
- release 3 (by relup.sh)

* Fri Mar 29 2013 Jakub Bogusz <qboosh@pld-linux.org> 3159ae3
- Merge branch 'master' of git://git.pld-linux.org/packages/gobject-introspection

* Fri Mar 29 2013 Jakub Bogusz <qboosh@pld-linux.org> 02cd345
- -devel C: vala < 0.20 (vala 0.18 seems to fail on .gir file generated by g-i 1.36)

* Tue Mar 26 2013 Marcin Banasiak <marcin.banasiak@gmail.com> 3cd9aa9
- g-ir-doc-tool requires python-Mako. Release 2

* Tue Mar 26 2013 Jakub Bogusz <qboosh@pld-linux.org> 555bfc7
- package g-ir-doc-tool

* Tue Mar 26 2013 Marcin Banasiak <marcin.banasiak@gmail.com> 0c1ce70
- Update to 1.36.0

* Wed Feb 06 2013 Elan Ruusamäe <glen@delfi.ee> 74d1aab
- update pkgpyexecdir dir instead of moving

* Wed Feb 06 2013 Elan Ruusamäe <glen@delfi.ee> d0b4172
- g-ir-scanner uses ldd internally

* Tue Nov 13 2012 Jakub Bogusz <qboosh@pld-linux.org> bd92625
- updated to 1.34.2

* Wed Oct 17 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 3460cf4
- Updated to 1.34.1.1

